GSPL-GETSNMP(1)

NAME
gspl-getsnmp - fetch SNMP value from printer

SYNOPSIS
gspl-getsnmp [ -options ] variable

DESCRIPTION
gspl-getsnmp obtains the value of an SNMP field from a network-enabled printer and displays it on standard output.

It is mostly intended to probe for the type and options on printers during installation.

OPTIONS

-h hostname
    specifies the host name or IP address of the printer. This option must always be given.

-H hostname
    specifies the host name or IP address of the sending system in cases where this has to be given.

-p portnum
    specifies the port number or service name to be used. If this is not specified, snmp is used.

-C community
    specifies the community name to be used if not public.

-T sec
    specifies the timeout waiting for responses, if not 1.0. This may be a floating-point number to specify fractions of a second.

-f configname
    specifies the configuration file from which names of macros for parts of variable names can be obtained. (The corresponding file for xtlhp(8) can be used).

-I  causes the variable name to be prefixed to the result with an equals sign.

-N  if the variable name cannot be found, finds the next variable in lower leaves of the tree which can be found.

-d n
    where n is 0 to 4, specifies increasing amounts of debugging information. 4 will display the parsed SNMP packets.

NOTES
This is mainly intended for getting information about printers.

SEE ALSO
gspl-ptrinstall(1), xtlhp(8).

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.